Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
RAMDirectory.h File Reference
`#include "Directory.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::RAMDirectory
| A memory-resident `Directory` implementation. Locking implementation is by default the `SingleInstanceLockFactory` but can be changed with `setLockFactory`. Lock acquisition sequence: RAMDirectory, then RAMFile. More...

## Namespaces

namespace | Lucene

clucene.sourceforge.net